package com.atlassian.stash.internal.migration;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

/**
 * {@link ServiceException} specialisation for exceptions generated during migration processing performed by the
 * {@link MigrationService migration service}.
 * <p>
 * When creating new exception types to represent specific migration processing failures, they should all be extended
 * from this base class to group them in the hierarchy.
 *
 * @since 1.2
 */
public class MigrationException extends ServiceException {

    public MigrationException(KeyedMessage message) {
        super(message);
    }

    public MigrationException(KeyedMessage message, Throwable cause) {
        super(message, cause);
    }
}
